TC Elite changelog

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 8 PUB 22-02-2005

Misc
-fixed some errors in firemode routine (erratic firemode switches)
-removed erratic semi-auto operation of Mossberg 590C  
-dead players don't follow ET Medic class anymore
-reduced lamer protection (ROE-violation time) after spawn to 3 secs (was 5 before)
-team icons are only visible through walls if the player is closer then 256 units (6.5 meters)
-removed team or voice chat for dead/following/spectating players


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 7 PUB 17-02-2005
TCETEST UPDATE PATCH 3

WARNING: Third party maps should be removed from servers unless the map scripts are revised.
Wait times (wait 3000) in the old scripts (trigger bomb_detonated and trigger bomb_defused) have to be removed
since they might cause unexpected behaviour with the new code. 

Game
-completely removed enemy name identifier (was 1.5 seconds delay to avoid "name scanning" before)
-fixed scoreboard
-introduced "damage rating" (DR) = (damage_given - damage_received - team_damage)/100.0f 
-scoreboard now shows score, damage rating (DR), armament availability (AA), ping
-heavily modified AA system: Each team is now splitted in three groups (best, medium, worst) based on score and DR (if score is the same).
The best AA of the best group equals the round number +1, the other groups get modifiers of 0 and -1.
-reduced the AA levels in the loadout to 3 (was 4 before). Shotguns are available from the start.
-players get no negative score for being team killed
-introduced 5 second spawn protection in 1-life. Lamers that attempt to team kill or grenade spam
are passified and "ROE violation" message is broadcasted to everyone.
-auto voices ("contact", "taking fire") are only send all 20 secs (was 10 secs)
-reduced default matchlimit (lms_g_matchlimit) to 2 (was 5). Two matches of five rounds are played before a map 
change is initiated.
-completely reworked ETs trigger/delay system for bullet weapons to Q3TC045 standard. Bullet weapons are now triggered
instantaneously (was 50 msec delay) and semi-auto fire can be retriggerd all 100 msec (was 200 msec before)
-massively reduced retrigger rate of semi-auto and pump shotguns. Semi-auto operation is now faster the pump operation. 
-fixed deployment menu weapon selection, where some guns could not be selected and ghosted guns could be selected.
-fixed problem with saved spawnpoints for the frozen warmup (might not be the problem that occurs on servers though)
-fixed bug where elimination of terrorists could turn a won game after bomb explosion to a lost game. Wait times in bomb_detonated and bomb_defused
trigger events had to be removed from map scripts.

Misc
-added announcer voices for round and match end.
-fixed mark projection bug where metal exit shaders where missing
-added missing terror auto radio wave files
-updated mossberg 590c skin
-sun flare is now angle dependent
-flares fall off with distance, improved close-by gloom effects




InProgress
-only fade levelshot when spectator???

Todo
-implement intel map and objective description logic for load screen
-update maps with location names
-add cvar for headshot message
-add Traumas chat stuff when finished
-chat position is now configurable
-revise reverb sounds (much too dominant)
-rework HUD, make chat, radar and message positions configurable, add alpha settings

-dynamite flash doesn't appear in portal scope
-add server cvar for rank system
-loose stamina bar and introcuce exert sounds ???? or colored posture indicator????
-added new smoke effect
-added "func_objective"
-removed hand rail skating (has to be done by mappers)



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 6 PUB 09-02-2005
TCETEST UPDATE PATCH 2

Game
-added M4 SOPMOD, SPR to Specops
-added Ak-74M Spetsnaz, Sig 552, SPAS-12, Aks-74U SD, Sig 550, SR-8 to Terrorists
-new Armament Availability (AA) System, dependent on round and player score
-reactivated BC being based on same round/team spawn system as OBJ
-fixed bug where bomb doesn't destroy crate

Misc
-changed chat position to lower screen part
-moved global messages to top left corner
-added new specops voice


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 5 PUB 26-01-2005
TCETEST UPDATE PATCH

Game
-replaced numeric ammo counter by bar indicator
-replaced artwork for stamina bar
-removed frames from timer and FPS display
-warmup between rounds is locked to 5 seconds
-players are frozen during warmup in objective mode
-added weapon select bar
-fixed new burst mode
-added target names (target_location)
-locked teamchat or team voicechat when dead
-removed R-OBJ and BC

Misc
-new tce_entities.def for GTKRadiant
-further improved environmental sound effect system
-two new contents flags to tweak soundscapes (env_indoor, env_outdoor), sfxhallway was removed
-added angle dependent flares (spawnflag)
-new levelshot (fades to intermission view when entering the game)
-changed UI font to Arial (same font as Hud)
-removed music from debriefing
-added cvar for kill messages (g_killmessage, defaults to 0)
-moved centerprint to private messages
-changed friendly name to UI font and team colors
-enemy names appear after aiming >1.5 seconds at an enemy

Maps
-updated intermission cams in maps
-updated soundscapes in maps (in progress)
-added dem_snow
-fixed A-objective rush problem in dem_village


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 4 PUB 18-01-2005
TCETEST UPDATE PATCH

Game
-fixed ingame server browser
-reintroduced score for eliminating opponents
-introduced penalty for getting killed in BC

Scripting
-fixed R-OBJ mission scripting (double plant, broken missions)
-fixed erratic woodland camo in some R-OBJ maps

Weapons
-fullauto mode can now be correctly disabled in script
-fixed problems with 2x-burst mode
-trigger can be released during burst mode
-changed m16 to semi-auto/3x-burst
-tac mode is now configurable in UI (TC045 or persistent style)
-fixed problems with wrong defaults/fallback weapons on team change

Misc
-fixed feet shuffle anim bug
-added correct feet rotation anims for stand and crouch
-removed experimental 2nd tacmode exploit
-improved environmental sound effect system (new "target_environment" for ambient soundscape & reverb)
-added light beam/cone feature for flares
-sun flare intensity depends on fraction of the sun that is visible
-fixed grenade obituary (reporting wrong weapon)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PUBLIC TEST UPDATE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 3 REL 21-12-2004
TCETEST UPDATE

-moved chat print line to top (q3 like)
-it is checked whether persistant firemode is available on current weapon
-fixed disappearing TP weapon on prone transition
-discabled g_dynamite mode
-added m16 and mac10 SD model
-fixed 500 ms to short grenade fuse times
-changed m84 flashbang timer to 2500 ms
-fixed painskin fogging errors
-fixed low stamina jump problems
-much more

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 2 PUB 14-12-2004
POST TCETEST

Movement
-fixed Q3's steep surface landing bug where no falling damage is applied (northport railing bug)
-reduced stamina consumption during sprint
-limited rotation speed during prone (no instant twisting anymore)

Objective
-added reinforced objective (R-OBJ) gametype as Bodycount replacement
-added random spawngroup selection for R-OBJ wave respawn
-attacks during spawnprotection immediatly kills attacker and sends out "violated ROE" message to all players
-removed scores for killing
-added score penalty for dying
-teamkills, suicides and ROE violations score -3

Scripting
-added team scoring to script

Weapons
-introduced portal based scopes
-changed psg/m76 zoom to 4x, r93 zoom to 6x
-changed grenade timers to realistic values, 2000, 4000, 6000 msec for m84, m67, and m83, respectively
-weapon availability depends on round in stock missions

Maps
-code hacked dem_northport and railhouse to get R-OBJ working
-added tracemaps to all maps

Misc
-removed fireteam as they are currently broken
-cleaned up weird font/color mixtures in HUD
-added weapons to death messages: Target <<< Attacker(WEAPON)
-use red/blue color coding for teams in messages
-removed colored name strings
-moved chat line to top of the screen
-splitted popup messages in private and general
-partly moved center printing to private popup messages
-fixed damage skin glow effect in foggy maps
-added aimed TP animation to prone

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.4 Build 1 PUB 27-11-2004
POST TCETEST

Movement
-reduced movement speed by 15%, subject to be changed (see priliminary speed table, max speed was erratically 300 units/sec)
-implemeted physically correct acceleration routine, fixes Q3 circle run accelaration 
-stamina/speed is to 67% effected by handweapon and 33% by weapons carried on the back
-introduced TC0.45 direction dependent jump code, strongly reduced strafe and backwards jump
-jump frequency is dependent on stamina
-removed jump during out-of-stamina sprint
-fixed stairbug where players were catapulted off stairs and die 

Scripting
-added scriptable weapon characteristics and loadout for missions (myweapon.specs, mymap.gear)
-introduced 3 soft classes: assault, recon, sniper
-weapon availability can be round dependent, e.g., certain weapons can be rewarded to classes on a round number base

Weapons
-completely reworked accuracy/spread handling
-separated accuracy penalty accumulators for movement and previous shots
-changed non-linear behaviour of shot spread accumulator (3 shots are accurate, inaccuracy rises fast afterwards)
-first shot is pin point for all weapons
-weapon stability is indicated as 3D sights movement
-more realistic, more tight shotgun spread pattern (1m dish at 40m), slightly more distance falloff
-reduced pistol damage by 15%
-reduced knife damage by 25%
-completely new sniper aim drift and aim axis sway, including breathing and possibly hold breath feature
-reduced scoped weapon recoil in combination with new aim sway
-slightly lowered PSG-1/M76 damage
-firemode selection stays persistant across respawns and map load
-added flashbang audio effect (beep and attenuation of other sounds)
-added grenade prime sound

Objective
-decreased c4 timer to 45 secs
-decreased defuse time to 5 secs when having techkit (was 6)
-decreased plant time to 2/4 secs with or without techkit (was 3/5)

Misc
-scopes have individual reticles
-airborne players suffer from maximum spread
-maps now correctly appear in UI host menu
-maps can be started from UI host menu
-removed /testgun exploit
-body impact makes correct flesh hit sound
-players are pierced like other materials
-strongly reduced knockback and made it damage dependent
-added bullet-flyby effect when bullets pass really close
-removed disconnect/drop bug
-added TC0.45 metal fence pierce effect
-added knife slash marks
-removed knife slash sound effect and mark for soft materials
-changed standard bullet wholes

-decreased sound range and characterictics of impact effect
-bodies sink only 12 units into ground
-removed heartbeat effect if following or dead
-jump ends crouch without breaking aim state

Many other minor issues


speed tables (10% adjustment)

weapon 
class                      secs/100m
     sprint     run       walk      tac       tacwalk
smg  14.5305*   21.2027   32.2150   32.7223   41.9771
ar   15.6230*   22.8337   34.6311   35.2181   45.6674
sr   17.3880*   25.3398   38.4790   38.8386   50.6796

*can't run 100m straight, 
 sprinting without stamina gives 10% higher speed as in run

                        units(inches)/sec
     sprint     run       walk      tac       tacwalk
smg  270.9474   185.6842  122.2105  120.3158  93.7895 
ar   252.0000   172.4211  113.6842  111.7895  86.2105
sr   226.4211   155.3684  102.3158  101.3684  77.6842

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PUBLIC TCETES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Beta 0.3 Build 3 PUB 27-10-2004
PUBLIC TCETEST

-reduced weap damage by 10% except for m3s90 and knife
-doubled knife damage
-silenced weapons have reduced penetration and distance capabilities
-silenced weapons limit to small grenade loadout and no tech kit like snipers
-ui says "more to right" in the gun positioning setting
-reduced clips to 3 extra
-reduced mac10 clips to 2 extra
-changed pickup message for bombs to "demolition charge" instead of "dynamite"
-changed pickup message for health to "Painkillers" instead of "20 Painkillers"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Beta 0.3 Build 2 RC3 26-10-2004

-increased damage by 50%
-lowered sprint range by 20%
-decreased health packets to 20
-"aksu-74" appears on pickup instead of "m16"
-renamed pickup from "20 Med Health" to "20 Painkillers"
-removed "Shuffle XP" from vote and ref menu
-fixed far sounds for various guns
-added missing specops woodland camo faces
-removed type 1 flares from scope effects
-all weapons spawn with 5 clips now
-added "TCE TEST" to load screen
-updated credits screen
-added TT logo to credits and main menu screen
-gametype vote messages are now correct
-inactivity causes bomb carriers to drop bomb after 15 secs, or 5 secs when they don't move after round start

Beta 0.3 Build 1 RC2 21-10-2004

-removed Mossberg
-made m3s90 pump/semi selectable
-removed Micro Uzi and added Mac 10 to both teams
-tweaked AKSU model
-added missing glock world model
-changed mac10 sound
-removed far sound for silenced weapons
-added team counter in deploy menu
-longer terror route in dem_snow
-removed firemode crash issue
-added firemode sound and anim
-removed flashbang bug (new flash no longer resets previous)
-changed mac10 recoil anim in tac
-deathmatch spawn have team spawnflags now
-knife is "full auto" again
-fixed flares on scopes for new flare types
-load message appears correctly in Bodycount
-new terror arm skins
 

Beta 0.3 Build 0 RC1 12-10-2004

-added different head skins, helmet, protec helmet for specops/woodland
-added different helmet, googles, protec helmet combinations for specops/commando
-increased pump shot re-trigger rate by 15%
-added prone move sound
-added tc0.45 heartbeat sound
-bomb carrier does no longer show bomb icon after planting
-glass shards make sound when they fall on ground
-fixed floating weapons on players back
-updated sleeve skins with higher resolution camo
-terrorists finally show correct head pain skin
-clients with connection loss can't receive bomb
-clients drop bomb after 3 secs of connection loss
-cg_drawFriend determines teammate icon 0 = none, 1 = not visible through walls, 2 = default, visible through walls
-added cg_drawFriend to "customize hud UI"
-removed WEAPON and SCOPE section from "customize game UI"
-completely removed slide/skating after landing
-much faster rejump ability, jumping is allowed 250 msec after landing
-landing time no longer influences jump power, out-of-stamina jumps have half power
-added weapon cycle during tacmode
-jumping players can't go tac anymore (to avoid flickering tac transition)
-cursorHints are solid if enabled, no status bar except for bomb/defuse
-changes for button defaults in default.cfg (tac defaults to MOUSE2 ... )
-added "dead man's click" when clip is empty
-grenades are thrown from center
-exchanged dynamite model to altered q3tc1.x c4 model
-removed "dynamite" from voice messages
-added c4 explosives icon for popup messages and hud
-c4 explosives model is shown on the back of the player with bomb
-included Raptors new sidearm animations (last shot with slider staying back and non-empty reload with slider in front position) 
-added new weapons MP5SD (Specops) and AKSU-74SD (Terror)
-added new weapon MicroUzi (Specops, Mac 10 equivalent)
-changed MP5 to Specops only
-changed UMP45 to both teams
-added new weapon AKSU-74 (Terror, MP5 equivalent)
-added new weapon Mossberg 590c (Both, compact pump shot)
-added new weapon G3A4 (Both, slow high caliber assault rifle)
-changed akimbos to glock, used new hand/sleeve models
-added akimbo berettas for Specops
-MicroUzi/Mac10 are now in sidearm slot and selectable only in combination with small smgs/mossberg
-Akimbos are selectable only in combination with small smgs/mossberg
-changed Benelli M3 Super90 to semi-auto operation
-Benelli M3 Super90 has 8 shells now
-added firemode switch for some weapons
-implemented burst fire mode
-changed view gun position/appearance according to Race's suggestions
-horizontal position of view gun is now configurable in UI
-new recoil anim (coded) for snipers and M3 Super90 
-updates to dem_snow
-updates to dem_village

todo (complete list):
no matter what, 22nd is release date:

-some of the "release critical" suggestions from the forum
-introduce spawnflag for "player_team_deathmatch" (Bodycount) spawnpoint and position them to the respective teams
 far side of the maps
-integrating some of Race's suggestions for weapons (skins, sound)
-integrating some of Airon's sound changes
-updating/integrating Race's final maps
-updating some Terror head stuff (hoods ...)
-finalizing dem_wood, dem_snow
-compiling HellOnStage (hos) texture pak/folder


Beta 0.2 Build 10 PRE 09-09-2004

-fixed weapon restriction bug
-fixed weapon drop and slow down when landing
-added new version of dem_village

Beta 0.2 Build 9b PRE 01-09-2004 MINI UPDATE

-fixed crash bug in piercing routine on maps with multiple FUNC_EXPLOSIVEs
 (why the hell did I comment out that stable old 0.45 code :))
-introduced slow (1-sec) prone transition in first person view
-temporarely removed weapons models on players backs (will be fixed next version)

Beta 0.2 Build 9 PRE 22-08-2004

-fixed LUGER bug
-no sprint on ladders
-lean not allowed on ladder or when dead
-lean forces to walk
-always play pickup animation on weapon pickup
-scoped weapons show correct scope view after pickup
-removed knife icon when knife carrier looks at enemies
-crouched characters bob much slower
-drop client weapon immediatly on death
-removed "You are near ..." track in Bodycount
-removed 1-sec ice-skating effect after falling
-increased pistol delay slightly to previous value in order to match server time frames
-smg damage increased by 50%
-assault rifle damage increased by 50%
-pistol damage increased by 33% (relatively lowered)
-sniper rifle damage increased by 25%
-only show pickup icon for health if health <= 0
-spawnprotect icon removed
-defuse area tolarance increased
-defuse hint icon/activation overrides any other activation
-removed breath puff from bodies
-removed weapon/health pickup sounds
-removed vote gong sound
-removed short distance footstep/land sound when walking
-introduced TC 0.45 circular floating aim point for hip shooting (non-predictable, non-center
 aim point, lamers can no longer mark the aim point on their display)
-removed campaign vote option
-map list for bodycount appears correctly
-gametype description appears correctly
-gametypes in host server menu restricted to Demolition and Bodycount
-new deploy menu
-introduced primary/sidearm/special slots in deploy menu
-introduced Techkit for faster bomb/defuse times (techkit is traded against 2 frag grenades)
-fragmentation grenade loadout is now dependent on primary weapon (smg: 2 frag, assault: 1 frag, siper: 0 frag)
-Techpak carriers have highest priority for explosive assignment in 1-bomb mode
-some fixes in g_dynamitemode 1 (gives bomb to only one player of the bombing team)
-g_dynamitemode 1 is now default
-updates/fixes to snow camo group (models and skin: helmets, googles, ...)
-removed ET player highlighting for distances > 384 units (player glow)
-don't allow prone while jumping or airborne or while standing on another player
-don't allow prone for 750 msec after landing
-removed prone-stuck bug when falling off ledges while proned
-urban model for all Specops characters available


Beta 0.2 Build 8 PRE 10-08-2004

-reduced smg spread
-increased smg damage
-reduced mac10 recoil
-increased ak47 recoil
-pistols are slightly faster
-introduced distance falloff dependent on weapon/caliber
-movement view bobbing as in .45
-locked cg_fov
-player model bends during lean, lean shot allowed in tac mode, moving allowed
-experimental g_dynamitemode 1 gives bomb to only one player in bombing team
-internal code changes for demolition objective handling
-new brightness calibration menu
-adjusted player skin brightness
-ak47 and knife have correct arm skins now
-increased mp5 and r93 skin brightness
-terrorists show correct head pain skin
-removed health bar under teammates, name is shown in lower quarter of screen
-killer message is shown in demolition gametype (5), death messages in bodycount gametype (7)
-primary weapon is dropped on death
-dropped weapons can be picked up (grab sign indicates this)
-new "wm_camo" to select player camo group in map script (not defined = woodland, 1 = desert, 2 = snow, 3 = commando)
-added desert, snow and commando camos for specops
-first person arm/sleeve camo can now be linked to player skin, so that sleeves show correct camo, currently working for specops
-introduced new stair contents shader for steep (45 degree) and very steep (~70 degree) stairs
-falling damage doesn't gib
-introduced new gametype bodycount (COD team deathmatch like) (7) using mapname_tdm.script and info_player_deathmatch spawns
-new map dem_snow
-updated map dem_industrial
-updated map dem_village
-map et_sample changed to dem_sample
-major repak of pak files to deal with ET pure check issues:
 update with overwrite enabled, delete the following paks (if existing):
 pak2.pk3
 weapons2.pk3
 dem_wood0.pk3
 tc_tweety0.pk3
 mapmedia2.pk3




Beta 0.2 Build 7 PRE 08-07-2004

-shotty ammo indicator displays bullets correctly
-shotty arm skin fixed
-pistols 25% faster
-knife has 150% more damage
-always get default weapon set if selected invalid weapon for some reason
-team swap results in correct equivalent weapon set
-added "let's go" at round start, removed "fight" print
-auto "fire in the hole" radio when frag gren is thrown
-muzzle flashes less visible
-default lms_round_limit and match_limit increased to 5
-opposing team scores are no longer shown
-model lighting r_ambientscale is now 1.0
-all maps follow naming convention dem_ for demolition gametype
-new map dem_wood
-all tc_northportX.pk3 need to be removed


Beta 0.2 Build 6 PRE 29-06-2004

-planting is now straight below player
-dynamite should be easier to defuse
-grenades don't pass fence anymore
-grenade world models are correct
-ppl slide off other players when try to stay on top of them, jump is disabled
-bombing team can't defuse own bomb (lamer protection)
-fixed missing follow names
-akimbo also shows bullet impacts when local impact prediction is activated (g_predictBullets == 1 (default))
-sound should always play at end of round
-specops faces have correct pain skins
-UI now says Aim / Iron Sight to make it more obvious to noobs
-added dem_village and dem_industrial by tweety

Beta 0.2 Build 5 PRE and earlier

-now auto jump to spectator when dead anim is finished
-cycle through dying anim is gone
-fixed dynamite collision with player
-no lean in sniper scope view
-M3S90 slightly more power
-Snipers 25% less power, more spread from tac cycling
-movement penalty for heavy equipment, snipers are 10% slower, SMG is 8% faster, assault stays same
-weapon slots now 1-primary, 2-sec, 3-knife
-drawgun 0 cheat protected
-server and client aim state is synchronized
-primed grenade explodes during sprint
-reworked weapon cycle, added weapon names during change
-removed afro head
-added lagometer and drawFPS to UI, removed crosshair settings
-1000 other things





